diff --git a/src/lib-var-expand/test-var-expand.c b/src/lib-var-expand/test-var-expand.c
index c31696fe68..3527dbeb47 100644
--- a/src/lib-var-expand/test-var-expand.c
+++ b/src/lib-var-expand/test-var-expand.c
@@ -456,6 +456,9 @@ static void test_var_expand_providers(void) {
 		/* try to parse result */
 		struct tm tm;
 		i_zero(&tm);
+		/* get localtime to ensure we are in same timezone */
+		time_t t = time((time_t*)NULL);
+		localtime_r(&t, &tm);
 		if (strptime(datetime, "%Y%m%dT%H%M%S", &tm) == NULL) {
 			test_failed(t_strdup_printf("strptime() failed: %m"));
 		} else {
